################################################################################
# Jetspeed Configuration                             
# Author: Kevin A. Burton (burton@apache.org)
# $Id: JetspeedResources.properties,v 1.93 2002/11/22 17:00:50 taylor Exp $
################################################################################
# This is the main file you will need to configuration Jetspeed.  If there are 
# any secondary files they will be pointed to from this file.
#
# All items in this file are stored as <property>=<value> pairs.  In order to 
# modify somethign just changes its value.
#
# Some properties are URL based.  They can except http/file/etc based URLs.  Note
# that if you don't specify the scheme but only specify it as "/my/new/path.html"
# Jetspeed will attempt to guess the URL.  Normally this would be something like
# "http://server.domain:port/my/new/path.html".  Note that some of the entries 
# become public URLs and if you want your data more secure you might want to 
# switch to "file://" based URLs.
#
#Conventions:
#
#    <property>.url       ->  This property is expected to be a URL or a URL 
#                             without a scheme.  If it does not have a schema 
#                             Jetspeed will try to determine the full URL.
#
#    <property>.file      ->  Points to an actual file on your local filesystem. 
#
#    <property>.directory ->  Points to a directory on your local filesystem.
#
#    <property>.classname ->  A fully qualified Java classname: 
#                               EX: org.apache.jetspeed.<MY_CLASSNAME>
#
#    <property>.interval  ->  A time interval in seconds
#
#
################################################################################

################################################################################
#  THE FOLLOWING ARE "REQUIRED" PROPERTIES IN ORDER TO USE JETSPEED            #
################################################################################

##########################################

#########################################
# Jetspeed Datasbase Service            #
#########################################
# services.JetspeedDatabase.classname=org.apache.jetspeed.services.db.ObjectBridgeDatabaseService

##########################################
# Remote Object Storage System           #
##########################################
#Specify the directory that Jetspeed should
#cache XML documents to.

#for Win32 systems specify your directory as:  cache.directory=/d:/temp/JetspeedDocumentCache
#Default: /tmp/JetspeedDocumentCache
cache.directory=${webappRoot}/WEB-INF/cache

#Specify whether Jetspeed should fetch items that aren't in the DiskCache in 
#real time.  If true Jetspeed will throw a ContentNotAvailableException when it
#encounters a URL that isn't available within the Cache.  This can be used so 
#that clients don't have to wait for URLs to download while using Jetspeed.
#After the URL is first encountered Jetspeed will create a thread to download
#this in the background
#Default: true
cache.require.cached=true

# Default (minimal) expiration time for URLs in seconds.
# External URL that return a "Expires:" header will use the returned value.
# This value will be used for those URL that specify "0" or do not have a
# "Expires:" header.
# Default: 900 seconds (fifteen minutes).
cache.default.expiration=900


#########################################
# Temporary Storage                     #
#########################################
# Sometimes Jetspeed wants to write out a file that may be necessary for further
# debuging.  It will log the location and then write to this directory.
# NOTE:  The System property java.io.tmpdir is defined under JDK 1.2 but not 
# JDK 1.1.x

#Default: /tmp
temp.directory=/WEB-INF/tmp

###############################################################################
#  THE FOLLOWING ARE "OPTIONAL" PROPERTIES THAT ENABLE A CUSTOMIZED INSTALL    #
################################################################################


##########################################
# Portlet Configuration                  #
##########################################
#if you run the default controls and controller that comes with Jetspeed... 
#they take some params

#Default: 100%
defaultportletcontrol.width=100%

#Default: 3
defaultportletcontroller.numcolumns=3 

#Default: 100%
defaultportletcontroller.width=100% 

#########################################
# Stylesheet.                           #
#########################################
#Use this to specify the HTML stylesheet
site.stylesheet=css/default.css

######################################
# Metadata Options                   #
######################################

# default string displayed when no title is found for a portlet
metadata.default.title=No title set

# default string displayed when no description is found for a portlet
metadata.default.description=No description found. Generic portlet

# default image displayed when no image is defined for a portlet
metadata.default.image=images/dot.gif

##########################################
# Jetspeed content publication           #
##########################################
#Jetspeed ships with some content that it needs to function.  This content must
#be available in order for Jetspeed to function correctly.  You should specify
#the content.root here.  This should be a portion of a URL that is prefixed to all 
#requests.  

# Example:  /content -> content/xml/mydocument.xml
# Example:  http://myserver/mycontent -> http://myserver/mycontent/xml/mydocument.xml
# Default: /content

content.root.url=/
content.defaultencoding=iso-8859-1

#########################################
# Document refresh settings             #
#########################################
#how many seconds to cache portlets by default.  Portlets that allows themselves
#to be refreshed will usually pay attention to this interval
#Default: 3600
refresh.portlet.default = 3600


#########################################
# Content Feeds                         #
#########################################
#specify where Jetspeed should get it's content feeds.
#this is setup like the following:

#contentfeeds.feed.name=<name>
#contentfeeds.feed.<name>.description=My Feed Description
#contentfeeds.feed.<name>.url=http://server/url

contentfeeds.feed.name=local
contentfeeds.feed.name=apache
#contentfeeds.feed.name=xmltree
#contentfeeds.feed.name=10am
#contentfeeds.feed.name=moreover

contentfeeds.feed.local.description=Sample local OCS Feed
contentfeeds.feed.local.url=/ocs/local.ocs

contentfeeds.feed.apache.description=ASF OCS Feed ( http://www.apache.org/ )
contentfeeds.feed.apache.url=http://jakarta.apache.org/jetspeed/channels/apache.ocs

#contentfeeds.feed.xmltree.description=XML Tree OCS Feed ( http://www.xmltree.com )
#contentfeeds.feed.xmltree.url=http://www.xmltree.com/export/ocs.cfm

#contentfeeds.feed.10am.description=10.am OCS Feed ( http://www.10.am )
#contentfeeds.feed.10am.url=http://10.am/extra/ocsdirectory.xml

#contentfeeds.feed.moreover.description=Moreover OCS Feed ( http://www.moreover.com )
#contentfeeds.feed.moreover.url=http://w.moreover.com/categories/ocs/ocsdirectory.rdf

#The stylesheet used to transform OCS into PortletMarkup
contentfeeds.stylesheet.url=/WEB-INF/xsl/ocs.xsl

#Jetspeed has the option to continually fetch all of its channels and keep them
#in cache.  The upside is that your clients will be able to see content
#right away.  The downside is that this results in more bandwidth used.  The 
#default value is true.  Setting it to false will cause slower page rendering 
#due to Jetspeed having to go out and fetch your content.
#Default: true
contentfeeds.fetchall=true

#the total number of portets to browse at once within Jetspeed

#in preview mode...
#Default: 15
contentfeeds.portletbrowser.preview.maxportlets=15

#in overview mode...
#Default: 15
contentfeeds.portletbrowser.overview.maxportlets=15

#########################################
# URLManager Service                    #
#########################################
services.URLManager.classname=org.apache.jetspeed.services.urlmanager.JetspeedURLManagerService
services.URLManager.url=/WEB-INF/conf/datasources.properties


#########################################
# Daemon Configuration                  #
#########################################

#provide a list of all daemon names
services.DaemonFactory.classname=org.apache.jetspeed.services.daemonfactory.JetspeedDaemonFactoryService
daemon.entry=feeddaemon
daemon.entry=diskcachedaemon
daemon.entry=badurlmanagerdaemon

daemon.feeddaemon.classname=org.apache.jetspeed.daemon.impl.FeedDaemon
daemon.feeddaemon.interval=10800
daemon.feeddaemon.onstartup=true

daemon.diskcachedaemon.classname=org.apache.jetspeed.daemon.impl.DiskCacheDaemon
daemon.diskcachedaemon.interval=3600
daemon.diskcachedaemon.onstartup=true

daemon.badurlmanagerdaemon.classname=org.apache.jetspeed.daemon.impl.BadURLManagerDaemon
daemon.badurlmanagerdaemon.interval=3600
daemon.badurlmanagerdaemon.onstartup=false


#########################################
# Jetspeed Content                      #
#########################################
#Jetspeed supports a more advanced weblog format that allows you to publish 
#content to your website.  This is based on RSS 0.91 but allows you to have 
#more Slashdot style content with topics, icons, etc.


#Jetspeed content providers.  This should be a multi-valued property set where 
#you specify the list of providers you want to use:

#Default: jetspeed
content.provider.list=jetspeed

#Config:  You need to tell Jetspeed how to fetch the content you want and 
#what stylesheet to use.  The mechanism is setup like this:
#
#content.provider.[provider-name].url=[url to your content xml file]
#content.provider.[provider-name].stylesheet.url=[url to the stylesheet to use with your content]
#content.provider.[provider-name].description=[a full description of your content]
#content.provider.[provider-name].title=[a title for your content.]

content.provider.jetspeed.url=/jcm/jetspeed-content.xml
content.provider.jetspeed.stylesheet.url=/WEB-INF/xsl/jpc-full.xsl
content.provider.jetspeed.title=Jetspeed
content.provider.jetspeed.description=Jetspeed weblog

#########################################
# Automatic Portlet Creation            #
#########################################
# Jetspeed can automatically create/instantiate all your Portlets and place them
# in the cache when Jetspeed starts up.  
autocreate.portlets=false

#########################################
# IdGenerator Service                    #
#########################################
# Classname of the ID Generation implemented as a Turbine service.
services.IdGenerator.classname=org.apache.jetspeed.services.idgenerator.JetspeedIdGeneratorService

# counter.start - Initial value of conter as a base 10 integer.  JetspeedIdGenerator 
#                 will return the HEX representation of the value so 160 = a0.
#                 Default = 65536 (HEX representation = 1000)
services.IdGenerator.counter.start=65536

# peid.prefix   - Prefix of PEID. Default = P-
services.IdGenerator.peid.prefix=P-

# peid.suffix   - Suffix of PEID. Default = (nothing)
services.IdGenerator.peid.suffix=

#########################################
# ThreadPool Service                    #
#########################################
services.ThreadPool.classname=org.apache.jetspeed.services.threadpool.JetspeedThreadPoolService

#Specify the initial number of threads to create
#Default: 50
services.ThreadPool.init.count=5

#Specify the maximum number of threads to create
#Default: 100
services.ThreadPool.max.count=20

#Specify the minimum number of threads to keep as spare until you hit the max
#Default: 15
services.ThreadPool.minspare.count=5


#########################################
# Registry Service                      #
#########################################
services.Registry.classname=org.apache.jetspeed.services.registry.CastorRegistryService
services.Registry.directory=/WEB-INF/conf/
services.Registry.mapping=/WEB-INF/conf/registry.xml
services.Registry.default.Portlet=local-portlets
services.Registry.default.PortletControl=local-managers
services.Registry.default.PortletController=local-managers
services.Registry.default.MediaType=local-medias
services.Registry.default.Skin=local-skins
services.Registry.default.Security=local-security
services.Registry.default.Client=local-clients
services.Registry.extension=.xreg
# Refresh rate, in seconds.  0 = no refresh.  Min value = 60
services.Registry.refreshRate=300

#########################################
# PSMLManager Service                   #
#########################################
# Select your PSML Manager service by uncommenting it. The default is 'CastorPsmlManagerService'
# If you uncomment one service, you must comment-out the other service
########################################################################################################

########################################################################################################
# To use the File-based PSML service, select (uncomment) this service (this is the default setting):
services.PsmlManager.classname=org.apache.jetspeed.services.psmlmanager.CastorPsmlManagerService
########################################################################################################
########################################################################################################
# To use the DB-PSML service, select (uncomment) this service, and comment out the above service:
# services.PsmlManager.classname=org.apache.jetspeed.services.psmlmanager.db.DatabasePsmlManagerService
########################################################################################################

#########################################
# PSMLImportManager Service             #
#########################################
# Select your PSML Import Manager service by uncommenting it. The default is 'CastorPsmlManagerService'
# If you uncomment one importer service, you must comment-out the other service
# You must run the importer manually. From the build directory, type 'ant import'
# the PsmlImportManager is the service which will export the psml from its datastore to the current
# PsmlManager's datastore. The PsmlImportManager and PsmlManager should never be the same. 
########################################################################################################

# Select this service to import from File System to the Database (make sure that DatabasePsmlManagerService is selected above)
services.PsmlImportManager.classname=org.apache.jetspeed.services.psmlmanager.CastorPsmlManagerService

# Select this service to import from the Database to the File System (make sure that CastorPsmlManagerService is selected above)
# services.PsmlImportManager.classname=org.apache.jetspeed.services.psmlmanager.db.DatabasePsmlManagerService

services.PsmlManager.root=/WEB-INF/psml
services.PsmlManager.ext=.psml
services.PsmlManager.mapping=/WEB-INF/conf/psml-mapping.xml
#The following property is used for DatabasePsmlManagerService only. The default is false that is caching is
#not allowed with DatabasePsmlManagerService, as the current implementation of caching does not work on a
#distributed environment. It works only in a single server environment. 
services.PsmlManager.caching-on=false
#services.PsmlManager.default-resource=default.psml
#services.PsmlManager.media-types=html:wml
#services.PsmlManager.admin=admin

## only used by Castor(File) PSML Manager 
# scan rate in seconds (every 2 minutes)
services.PsmlManager.scanRate=120
# cache size - number of PSML pages to cache
services.PsmlManager.cacheSize=100

#########################################
# Portlet Factory                       #
#########################################
services.PortletFactory.classname=org.apache.jetspeed.services.portletfactory.JetspeedPortletFactoryService
services.PortletFactory.enable.cache=true

#########################################
# Portlet Cache                         #
#########################################
# TimeToLive.default = number of milliseconds an unused portlet will remain in cache.
#                      Default 2700000 which is 45 minutes (45 * 60 * 1000)
services.PortletCache.classname=org.apache.jetspeed.services.portletcache.JetspeedPortletCacheService
services.PortletCache.TimeToLive.default=2700000

#########################################
# Portal Service                        #
#########################################
services.PortalToolkit.classname=org.apache.jetspeed.services.portaltoolkit.JetspeedPortalToolkitService
services.PortalToolkit.default.control=TitlePortletControl
services.PortalToolkit.default.controller=OneColumn
services.PortalToolkit.default.skin=orange-grey

#########################################
# Profiler Service                      #
#########################################
# These settings are used by the new Jetspeed profiler starting with release 1.3a2

# The Profiler Service is implemented as a Turbine service.
services.Profiler.classname=org.apache.jetspeed.services.profiler.JetspeedProfilerService

# The default resource filename
services.Profiler.resource.default=default

# The default resource filename extension 
services.Profiler.resource.ext=.psml

# When a new user is created, this account's psml is cloned to the new account psml
# Setting this account to nothing configures role-based psml as the default method for new users
services.Profiler.newuser.template=turbine

# Media types template to create for user. (comma separated)
services.Profiler.newuser.media_types=html,wml

#
# Profiler Fallback options
#
# use Role-based PSML fallback
services.Profiler.rolefallback=true

# Consider the language as part of the fallback?
services.Profiler.fallback.language=true

# Consider the country code as part of the fallback?
services.Profiler.fallback.country=true

# If resource is not found under mediatype, keep searching?
services.Profiler.fallback.to.root=false

#
# Profiler Role-based merge fallback options
#
# When rolefallback is true and rolemerge is true, new user's profile will 
# be an aggregate of psml from each role the user is part of.
services.Profiler.rolemerge=false

# Controller to use in merged profile
services.Profiler.rolemerge.controller=TabController

# Control to use in merged profile
services.Profiler.rolemerge.control=TabControl

#########################################
# Template Locator Service              #
#########################################
# The Template Locator is implemented as a Turbine service.
services.TemplateLocator.classname=org.apache.jetspeed.services.template.JetspeedTemplateLocatorService

# This parameter supports a comma separated list of directories
# Each directory is searched in order to find a template.
# This is useful for example, in defining application specific templates in a separate structure from the jetspeed core templates
# Note this needs to be set in 3 places - for the jsp loader and vm loader in TR.p and for the template locator in JR.p
services.TemplateLocator.templateRoot=/WEB-INF/templates

#########################################
# StockQuote Web Service                #
#########################################
# The Template Locator is implemented as a Turbine service.
services.StockQuoteService.classname=org.apache.jetspeed.webservices.finance.stockmarket.JetspeedStockQuoteService

#########################################
# Persistence Manager Service           #
#########################################
services.PortalPersistenceService.classname=org.apache.jetspeed.services.persistence.JetspeedPortalPersistenceService

#########################################
# Portlet Usage Service                 #
#########################################
services.PortletStats.classname = org.apache.jetspeed.services.portletstats.JetspeedPortletStatsService

# Name of the log4j logger defined in tr.props
services.PortletStats.logger = access

# If true, logging will occur
services.PortletStats.enabled = false

# Portlets to exclude from logging (not implemented)
services.PortletStats.excludePortlets=

# Date format to use in the log entry
services.PortletStats.dateFormat = dd/MMM/yyyy:hh:mm:ss z

##########################################
# Diskcache configuration                #
##########################################
# JetspeedDiskCache recognizes URIs with the following protocols as local
diskcache.localprotocols=file,classloader,jndi

#########################################
# Customization                         #
#########################################

# Modify default customize URL generated by URILookup when used with JSP
# navigations
URILookup.customize.uri=/portal/action/controls.Customize?reset=on

#
# Activate the portlet preview feature
#
customizer.preview.enable=false

#########################################
# New User Registration mail support    #
#########################################
mail.server=localhost
mail.support=Support@localhost
# New user registration confirmation email 
newuser.confirm.enable=false
newuser.confirm.email.from=Postmaster@localhost
newuser.confirm.email.name=Jetspeed Administrator
newuser.confirm.email.template=new-user-confirmation.vm

# New user notification email to Jetspeed Administrator.
newuser.notification.enable=false
newuser.notification.email.to=Postmaster@localhost
newuser.notification.email.name=Jetspeed Administrator
newuser.notification.email.template=new-user-notification.vm
newuser.notification.language=en
newuser.notification.country=US

# Manual approval of a new user by Jetspeed Administrator
newuser.approval.enable=false
newuser.approval.accept.template=new-user-accept.vm
newuser.approval.reject.template=new-user-reject.vm

# Password reminder options
password.reminder.enable=false
password.reminder.template=password-reminder.vm

# Remember me/auto-logon facility
automatic.logon.enable=false
#    number of seconds until logon expires (2592000 = 1 month, 30*24*60*60)
automatic.logon.cookie.maxage=2592000
automatic.logon.cookie.comment=Jetspeed automatic logon cookie
#    domain, blank means use getServer to derive it.  Is of the form .foo.com.
automatic.logon.cookie.domain=
#    path, blank means use getContextPath, default to / - all paths
automatic.logon.cookie.path=/
#    specifies when the random portion of the cookie is regenerated-
#     - firstlogon, means it is only generated the first time the users 
#                   requests this feature, useful when you want to allow
#                   them to use the feature across computers
#     - everylogon, means it is regenerated upon each successful logon
#                   useful for getting a little added security (default)
automatic.logon.cookie.generation=everylogon

# automatically save user state on logout
automatic.logout.save = false
logon.disabled.form=AccountDisabled.vm

#########################################
# Navigation Bar customization         #
#########################################
# Top navigation bar
#   topnav.enable    - Display the left navigation bar
#   topnav.vm        - VM file name for the top nav, in templates/vm/navigations/html
#   topnav.logo.file - file name of the logo relative to <jetspeed_home>. Do not use with logo.url
#   topnav.logo.url  - URL of logo. Useful when using a common company logo that is on a different server
#   topnav.user_login.enable - Display login prompts on navigation bar.  If false then login nust be via login portlet
#   topnav.user_creation.enable - Display "create user" prompts on navigation bar.  Requires topnav.user_login.enable=true
topnav.enable=true
topnav.vm=top.vm
topnav.logo.file=images/jetspeed-logo.gif
topnav.logo.url=
topnav.user_login.enable=true
topnav.user_creation.enable=true

# Left Navigation bar
#   leftnav.enable    - Display the left navigation bar
#   leftnav.vm        - VM file name for the left nav, in templates/vm/navigations/html
#   leftnav.width     - Keep the left edge of the content from moving as the width of the content varies
leftnav.enable=true
leftnav.vm=left.vm
leftnav.width=10%

# Bottom Navigation bar
#   bottomnav.enable    - Display the Bottom navigation bar
#   bottomnav.vm        - VM file name for the bottom nav, in templates/vm/navigations/html
bottomnav.enable=true
bottomnav.vm=bottom.vm

#########################################
# Portal Page customization             #
#########################################
# html page title text prefix - prepended to portal page title if defined.
portalpage.title_prefix=Laurent Jetspeed Portal:

#########################################
# HTTP Page header                      #
#########################################
# http.lifetime is the lifetime of the page as set in the
# HTTP Headers
#  -1 = Do not set cache related headers (Jetspeed 1.3a1 behavior)
#   0 = set the following http headers
#           Cache-Control = "no-cache"
#           Last-Modified = (current time)
#           Pragma        = "no-cache"
#           Expires       = "0"
#   n where n is the number of seconds:
#           Cache-Control = "max-age: n" where n is the number of seconds
#           Last-Modified = (current time)
#           Expires       = (current time + n seconds)
http.lifetime=0



